conda_env_path = "${params.cogent_root}" + '/config/env/deeptools.yaml'

process COVERAGE {
    conda conda_env_path
    publishDir "${params.output_dir}", mode: 'copy'

    input:
        path(bam)
        path(bam_index)        

    output:
        path("coverage/readCounts.npz"), emit: read_counts
        path("coverage/countsTableUnclean.txt"), emit: counts_table
        path("logs/coverage/multiBamSummary.log"), emit: log

    script:

        """ 
        mkdir -p coverage
        mkdir -p logs/coverage
        
        (multiBamSummary bins \\
        --bamfiles *.bam \\
        --outFileName coverage/readCounts.npz \\
        --binSize 1000000 \\
        --outRawCounts coverage/countsTableUnclean.txt \\
        -p ${task.cpus} \\
        --smartLabels \\
        ) 2>&1 | tee logs/coverage/multiBamSummary.log

        """
}
