nextflow.enable.dsl=2

conda_env_path = "${params.cogent_root}" + '/config/env/dna_qc_report.yaml'
qc_report_script = "${params.cogent_root}" + '/lib/dna_report/metrics_tables.py'

process DNA_QC_REPORT {
    publishDir "${params.output_dir}", mode: 'copy'
    conda conda_env_path 

    input:
        path (multiqc_data)
        path (demux_counts)
        path (well_list)
        path (counts_table)
        path (correlation_matrix)

    output:
        path "dna_report/dna_qc_metrics_report.html", emit: qc_report

    script:
        """
        mkdir -p dna_report
                
        python ${qc_report_script} \
        --counts_all_file ${demux_counts} \
        --well_list_file ${well_list} \
        --PicoPLEX_RD_FOLDER . \
        --reads_min ${params.read_filter}


        mv dna_qc_metrics_report.html dna_report/.
        """
}
